MediaAccessDevice (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.MediaAccessDevice interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface MediaAccessDevice

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  DiskDrive, TapeDrive

    public interface MediaAccessDevice

extends LogicalDevice

The MediaAccessDevice class tries to catch the characteristics and manageability of all types of media access devices. Subclasses can be DiskDrive, TapeDrive, CDROMDrive, DVDDrive etc...

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  MEDACDEV
Display Name:
  parent,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.LogicalDevice
`IBM_COPYRIGHT`

Method Summary
`ControlledBy[]` | `getControllers()`
`java.lang.String` | `getName()` The name of the device.
`ComputerSystem` | `getParent()` The ComputerSystem that contains this device
`PhysicalPackage` | `getPhysicalPackage()` The PhysicalPackage that is implementing this Device This is a placeholder relationship until a more generic LogicalDevice to PhysicalDevice relation is implemented
`java.lang.String` | `getStatus()` Returns the status of the device - whether the device is running, down, warning, unknown etc
`RealizesExtent[]` | `getStorageExtents()`
`java.lang.String` | `getType()` The type of the device - network/processor etc
`boolean` | `hasControllers()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPhysicalPackage()`
`boolean` | `hasStatus()`
`boolean` | `hasStorageExtents()`
`boolean` | `hasType()`
`void` | `setControllers(ControlledBy[] controllers)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setPhysicalPackage(PhysicalPackage phys)`
`void` | `setStatus(java.lang.String status)`
`void` | `setStorageExtents(RealizesExtent[] partitions)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  The ComputerSystem that contains this device

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The name of the device. Unique within the parent ComputerSystem.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getStorageExtents

    RealizesExtent[] getStorageExtents()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setStorageExtents

    void setStorageExtents(RealizesExtent[] partitions)

### hasStorageExtents

    boolean hasStorageExtents()

### getControllers

    ControlledBy[] getControllers()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlledBy" reverse="false"

### setControllers

    void setControllers(ControlledBy[] controllers)

### hasControllers

    boolean hasControllers()

### getPhysicalPackage

    PhysicalPackage getPhysicalPackage()
                                       throws AttributeNotSetException

  The PhysicalPackage that is implementing this Device This is a placeholder relationship until a more generic LogicalDevice to PhysicalDevice relation is implemented

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Implements" reverse="true"

### setPhysicalPackage

    void setPhysicalPackage(PhysicalPackage phys)

### hasPhysicalPackage

    boolean hasPhysicalPackage()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  The type of the device - network/processor etc

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getStatus

    java.lang.String getStatus()
                               throws AttributeNotSetException

  Returns the status of the device - whether the device is running, down, warning, unknown etc

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(java.lang.String status)

### hasStatus

    boolean hasStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD